System requirements for IBM Optim pureQuery Runtime for Linux, UNIX, and Windows Version 2.2

Product documentation


Abstract

Before installing IBM® Optim™ pureQuery Runtime for Linux®, UNIX®, and Windows® Version 2.2, verify that your system and your data sources meet these requirements.

Content

Hardware requirements:

  • Memory: Minimum of 128 MB RAM
  • Disk space: This table shows the minimum disk space that is required for each of the supported platforms. Additional disk space is required for the resources that you develop.
    Platform Minimum disk space (in MB)
    AIX® 170
    HP-UX® 238
    Linux® 105
    Linux on System Z® 122
    Solaris Operating Environment® 170
    Windows® 133
  • Display: 1024 x 768 display minimum using 256 Colors (or higher for best results)
  • Other hardware: Microsoft® mouse or compatible pointing device

Required user privileges

To install the product, you must use a user ID that meets specific requirements:

  • Your user ID must not contain double-byte characters.
  • For Windows: You must have a user ID that belongs to the Administrator group.
  • For AIX, Linux, HP-UX, and Solaris: You must have root authority, or read and execute permissions on the directory where the installation program is located. You must also have write permission on the directory where you install the product.

Software requirements:

An IBM or Sun® Java® Runtime Environment at version 1.5.0 or higher must be installed on your system.

Optim pureQuery Runtime requires one of the following items to be installed as a prerequisite for IBM data server support:

  • For Java development:
    • For JDBC 3.0 applications: IBM Data Server Driver for JDBC and SQLJ V3.57 (APAR IZ50393 or later is recommended) or later (or corresponding DB2® Connect™ version level)
    • For applications using the db2jcc4.jar file: IBM Data Server Driver for JDBC and SQLJ V4.7 or later

    For APARs for IBM Data Server Driver for JDBC and SQLJ, contact IBM Support.

  • For .NET development: IBM Data Server Clients for ODBC, CLI, .NET V9.5.3, or later

Optim pureQuery Runtime requires the following Oracle® JDBC Drivers for Oracle support:

  • Oracle Database 11g Release 1 (11.1.0.7.0) JDBC Drivers
    • odbcj5.jar
    • odbcj6.jar
    • datadirect 4.0
  • Oracle Database 10g Release 2 (10.2.0.4) JDBC Drivers
    • odbcj5.jar
    • datadirect 4.0

The product supports the following operating systems:

AIX
AIX V5.2 64-bit
AIX V5.3 64-bit
AIX V6.1 64-bit

HP-UX
HP-UX 11i v3 IA64

Linux
Red Hat Enterprise Linux 4.0 AS/ES x86 32-bit
Red Hat Enterprise Linux 4.0 AS/ES x86 64-bit
Red Hat Enterprise Linux 5.0 AS/ES x86 32-bit
Red Hat Enterprise Linux 5.0 AS/ES x86 64-bit
SUSE Linux 9.0 Enterprise Server x86 32-bit
SUSE Linux 9.0 Enterprise Server x86 64-bit
SUSE Linux 10.0 Enterprise Server x86 32-bit
SUSE Linux 10.0 Enterprise Server x86 64-bit

Linux on System z
Red Hat Enterprise Linux 5.0 AS/ES for IBM System z
SUSE Linux 10.0 Enterprise Server for IBM System z

Solaris Operating Environment
Sun Solaris SPARC 10 64-bit

Windows
Windows Server 2003 Enterprise x86 32-bit, x86 64-bit
Windows Server 2003 Standard x86 32-bit, x86 64-bit
Windows Server 2008 Enterprise x86 32-bit, x86 64-bit
Windows Server 2008 Standard x86 32-bit, x86 64-bit
Windows Vista Business Edition x86 32-bit, x86 64-bit
Windows Vista Enterprise Edition x86 32-bit, x86 64-bit
Windows Vista Ultimate Edition x86 32-bit, x86 64-bit
Windows XP Professional (SP2) x86 32-bit, x86 64-bit

Data source requirements:

For the development of Java applications, IBM Optim pureQuery Runtime Version 2.2 supports the following data sources:

  • DB2 Universal Database™ for Linux, UNIX®, and Windows Version 8.2 Fix Pack 11
  • DB2 9.1, 9.5, and 9.7 for Linux, UNIX, and Windows
  • DB2 for System i® V5R4
  • DB2 Universal Database for z/OS® Version 8.1
  • DB2 9.1 for z/OS
  • Informix® Dynamic Server® v10.x, v11.10, v11.50
  • Oracle 10g, 10g R2, and 11g

For the development of .NET® applications, IBM Optim pureQuery Runtime Version 2.2 supports the following data sources through DB2 Connect:

  • DB2 Universal Database™ for Linux, UNIX, and Windows Version 8.2 Fix Pack 11
  • DB2 9.1, 9.5, and 9.7 for Linux, UNIX, and Windows
  • DB2 for System i V5R3 or V5R4
  • DB2 Universal Database for z/OS Version 8.1
  • DB2 9.1 for z/OS

System requirements for previous releases

The system requirements for IBM Data Studio pureQuery Runtime are at http://www-01.ibm.com/support/docview.wss?rs=3369&uid=swg27014394. ]

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

InfoSphere Optim pureQuery Runtime for Linux, UNIX and Windows

Software version:

2.2

Operating system(s):

AIX, HP-UX, Linux, Linux zSeries, Solaris, Windows

Reference #:

7015712

Modified date:

2010-07-08

Translate my page

Machine Translation

Content navigation